Subject: Re: [Ltru] Issue #51: MAY in 2.2.4 (E) on Channel Islands (Apps #4)

From: "Doug Ewell" <[email-masked]>
Date: Wed, 27 May 2009 07:49:50 -0600

Since Martin asked for additional feedback:

I am OK with whatever decision is made here.  I accept that my 
understanding of RFC 2119 "MAY" MAY be flawed and incomplete.

--
Doug Ewell  *  Thornton, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ

---

From: "Doug Ewell" <[email-masked]>
Date: Wed, 27 May 2009 07:52:29 -0600

The extra inclusion of the title of the ISO standard after its reference 
(here and elsewhere) seems pointless to me; I don't tend to see that 
sort of redundancy when referring to other RFCs.  But I don't think this 
is worth delaying the drafts for another few weeks or months, so I am OK 
with any decision either to remove this text or leave it in.

---

From: "Phillips, Addison" <[email-masked]>
Date: Wed, 27 May 2009 07:05:29 -0700

:: sighs ::

(as individual contributor)

It is useful to look at Section 2.2 when deciding what to do here. Please note that the comment is really about the run-on construction of the sentence, not the inclusion or omission of the title. I agree that we should fix the sentence's construction.

In proposing replacement text, I put on my editor hat and observed that each of the other subtag sections uses a similar formulation for the text. I say "similar" because actually the format varies somewhat. However, in all cases, the title is given for the ISO standard. Thus my proposal includes one, as it would be surprising to omit just the one title. 

Addison

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Doug Ewell
> Sent: Wednesday, May 27, 2009 6:52 AM
> To: LTRU Working Group
> Subject: Re: [Ltru] Issue 53: Section 2.2.3 (2) is murky (Apps #6)
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ltru

---

From: Mark Davis <[email-masked]>
Date: Wed, 27 May 2009 11:10:51 -0700

:sighs: as well, with co-author hat on.

I really think we are polishing far to much at this point. The document is
long and involved, and we can certainly find lots of instances where wording
could be improved; and could probably keep doing so for months and months on
end.

What we should focus on now are just cases where the wording is sufficiently
bad as to cause a real problem.

Mark

On Wed, May 27, 2009 at 07:05, Phillips, Addison <[email-masked]> wrote:

> It is useful to look at Section 2.2 when deciding what to do here. Please
> note that the comment is really about the run-on construction of the
> sentence, not the inclusion or omission of the title. I agree that we should
> fix the sentence's construction.
>
> In proposing replacement text, I put on my editor hat and observed that
> each of the other subtag sections uses a similar formulation for the text. I
> say "similar" because actually the format varies somewhat. However, in all
> cases, the title is given for the ISO standard. Thus my proposal includes
> one, as it would be surprising to omit just the one title.
>
> Addison
>
> Addison Phillips

---

From: Peter Constable <[email-masked]>
Date: Wed, 27 May 2009 16:32:30 -0700

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Davis

> I really think we are polishing far to much at this point. 
> The document is long and involved, and we can certainly 
> find lots of instances where wording could be improved; and 
> could probably keep doing so for months and months on end.

> What we should focus on now are just cases where the wording 
> is sufficiently bad as to cause a real problem.

A big +1.

I'm OK with the current wording, or with any of the suggested changes I've seen including dropping the title in this one instance. 

This is purely an editorial issue; IMO the editors should decide and be done with it.

Peter

---

From: Peter Constable <[email-masked]>
Date: Wed, 27 May 2009 16:55:32 -0700

I am also OK with whatever decision the editors wish to make.

If it may be of help to them, I offer some comments, but I do NOT wish to see these discussed further -- the editors can do whatever they wish with these comments, including ignoring them.

The problem with this text is that the overall paragraph is poorly worded. "For historical reasons... [X] MAY [be done]." (Why would it be done for historical reasons?) I'd reword as follows.

<suggested text>
For historical reasons, the UN numeric code 830 (Channel Islands) was not registered at the time this document was adopted and, at that time, had no corresponding ISO 3166-1 code. If in the future a registration request is submitted for numeric code 830 via the process described in Section 3.5, it MAY be entered into the IANA registry provided no ISO 3166-1 code with that exact meaning has been previously registered.
</suggested text>

Peter

---

From: "Martin J. Dürst" <[email-masked]>
Date: Fri, 29 May 2009 18:29:01 +0900

[co-chair hat on]

I conclude that there is consensus in the WG to not change anything in 
draft-ietf-ltru-4646bis for this issue. The MAY appropriately reflects 
the fact that this registration is possible (as long as the conditions 
continue to hold), but it is not made currently because nobody currently 
sees a need for it.

Regards,   Martin.

-- 
#-# Martin J. Dürst, Professor, Aoyama Gakuin University
#-# http://www.sw.it.aoyama.ac.jp   mailto:[email-masked]